<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.admin.FeeByDriverAdminView" 
           table="FEE_BY_DRIVER_ADMIN_VIEW" 
           catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="driverId" type="string">
            <column name="driver_id" length="36"/>
        </property>
        <property name="feeDate" type="date">
            <column name="fee_date" length="10" />
        </property>
        <property name="amount" type="double">
            <column name="amount"/>
        </property>
        <property name="comments" type="string">
            <column name="comments" length="250"/>
        </property>
        <property name="status" column="fee_status">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.FeeType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="driverName" type="string">
            <column name="full_name" length="103"/>
        </property>
        <property name="createdBy" type="string">
            <column name="created_by" length="103"/>
        </property>
        <property name="lastUpdatedBy" type="string">
            <column name="last_updated_by" length="103"/>
        </property>
        <property name="createdOn" type="date">
            <column name="created_on" length="10" />
        </property>
        <property name="lastUpdatedOn" type="date">
            <column name="last_updated_on" length="10" />
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.Location" fetch="select" name="location">
            <column length="36" name="id_location" not-null="false"/>
        </many-to-one>
    </class>
</hibernate-mapping>
